### Virtual Method

# Gdk Paintableget_current_image

#### Declaration [src]

    GdkPaintable*
    get_current_image (
      GdkPaintable* paintable
    )

#### Description [src]

Gets an immutable paintable for the current contents displayed by `paintable`.

This is useful when you want to retain the current state of an animation, for example to take a screenshot of a running animation.

If the `paintable` is already immutable, it will return itself.

#### Return value

Type: `GdkPaintable`

An immutable paintable for the current contents of `paintable`.

The caller of the function takes ownership of the data, and is responsible for freeing it.